/* /Components/App.razor.rz.scp.css */
/*Platzhalter Datei für die isolierten Css Files*/
/* /Components/Documentation/ContextDocumentationEditor.razor.rz.scp.css */
.context-documentation-editor img[b-pq4doj92b7],
.context-documentation-preview img[b-pq4doj92b7] {
    max-width: 100%;
    height: auto;
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-e2kw9wxrja] {
    position: relative;
    display: flex;
    flex-direction: column !important;
}

main[b-e2kw9wxrja] {
    flex: 1;
}

.sidebar[b-e2kw9wxrja] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-e2kw9wxrja] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-e2kw9wxrja]  a, .top-row[b-e2kw9wxrja]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-e2kw9wxrja]  a:hover, .top-row[b-e2kw9wxrja]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-e2kw9wxrja]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-e2kw9wxrja] {
        justify-content: space-between;
    }

    .top-row[b-e2kw9wxrja]  a, .top-row[b-e2kw9wxrja]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-e2kw9wxrja] {
        flex-direction: column;
    }

    .sidebar[b-e2kw9wxrja] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-e2kw9wxrja] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-e2kw9wxrja]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-e2kw9wxrja], article[b-e2kw9wxrja] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-e2kw9wxrja] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-e2kw9wxrja] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/NavMenu.razor.rz.scp.css */
/* --- Container --- */
.menu-main[b-gwrx0j3sfd] {
    position: fixed;
    left: 50%;
    bottom: 80px;
    transform: translateX(-50%);
    width: 40px;
    height: 40px;
    display: grid;
    place-items: center;
    background-color: rgb(38, 57, 77);
    border-radius: 10px;
    backdrop-filter: blur(6px);
    border: 1px solid rgb(255 255 255 / 18%);
    box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
    transition: width 0.45s ease, height 0.45s ease, border-radius 0.45s ease, background-color 0.45s ease;
}

/* --- Navigation (Center) --- */
.menu-navigation[b-gwrx0j3sfd] {
    position: relative;
    width: 40px;
    height: 40px;
    cursor: pointer;
    display: grid;
    place-items: center;
    transition: 0.5s;
}

    /* --- Buttons rundherum --- */
    .menu-navigation span[b-gwrx0j3sfd] {
        position: absolute;
        width: 7px;
        height: 7px;
        background: #fff;
        display: grid;
        place-items: center;
        transform: translate(calc(14px * var(--x)), calc(14px * var(--y)));
        transition: transform 0.5s, width 0.5s, height 0.5s, background 0.5s;
        transition-delay: calc(0.1s * var(--i));
    }

    .menu-navigation.active span[b-gwrx0j3sfd] {
        width: 45px;
        height: 45px;
        background: rgb(9 14 22 / 83%);
        transform: translate(calc(60px * var(--x)), calc(60px * var(--y)));
        border-radius: 7px;
        border: 1px solid #ffffff7d;
    }

    /* --- Icon: geschlossen unsichtbar, geöffnet sichtbar --- */
    .menu-navigation span .menu-icon[b-gwrx0j3sfd] {
        width: 0;
        height: 0;
        opacity: 0;
        transition: 0.5s;
        color: #fff; /* steuert Mask-Farbe via currentColor */
    }

    .menu-navigation.active span .menu-icon[b-gwrx0j3sfd] {
        width: 1.35rem;
        height: 1.35rem;
        opacity: 0.9;
    }

    .menu-navigation.active span:hover .menu-icon[b-gwrx0j3sfd] {
        color: #2dfc52;
        opacity: 1;
        filter: drop-shadow(0 0 2px #2dfc52) drop-shadow(0 0 5px #2dfc52) drop-shadow(0 0 15px #2dfc52);
    }

/* --- Close Button --- */
.menu-close[b-gwrx0j3sfd] {
    position: absolute;
    width: 7px;
    height: 7px;
    background: #fff;
    border: 0;
    padding: 0;
    display: grid;
    place-items: center;
    transition: 0.5s;
    transition-delay: 0.4s;
    pointer-events: none;
}

.menu-navigation.active ~ .menu-close[b-gwrx0j3sfd] {
    width: 40px;
    height: 40px;
    pointer-events: auto;
    transition-delay: 0.8s;
    background: blue;
    border-radius: 8px;
}

/* Close Icon ein/aus skalieren */
.menu-close .menu-icon[b-gwrx0j3sfd] {
    width: 1.6rem;
    height: 1.6rem;
    transform: scale(0);
    transition: 0.5s;
    color: aqua;
}

.menu-navigation.active ~ .menu-close .menu-icon[b-gwrx0j3sfd] {
    transform: scale(1);
    transition-delay: 1s;
}

/* --- Mask Icon Base --- */
.menu-icon[b-gwrx0j3sfd] {
    display: inline-block;
    background-color: currentColor; 
    opacity: 1;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-size: contain;
    mask-size: contain;
}

    .menu-icon.login[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../icons/help.svg");
        mask-image: url("../icons/help.svg");
    }

    .menu-icon.home[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../icons/home.svg");
        mask-image: url("../icons/home.svg");
    }

    .menu-icon.time[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../images/time.svg");
        mask-image: url("../images/time.svg");
    }

    .menu-icon.weather[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../images/weather.svg");
        mask-image: url("../images/weather.svg");
    }

    .menu-icon.device[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../images/device.svg");
        mask-image: url("../images/device.svg");
    }

    .menu-icon.chat[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../images/chatbubble.svg");
        mask-image: url("../images/chatbubble.svg");
    }

    .menu-icon.settings[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../images/settings.svg");
        mask-image: url("../images/settings.svg");
    }

    .menu-icon.user[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../icons/info.svg");
        mask-image: url("../icons/info.svg");
    }

    .menu-icon.close-btn[b-gwrx0j3sfd] {
        -webkit-mask-image: url("../images/close.svg");
        mask-image: url("../images/close.svg");
    }
/* /Components/Pages/TranslationView.razor.rz.scp.css */
.drop-file-icon[b-asy2iuo4jv] {
    background-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    background-position: center center;
    background-color: #ADB5BD;
    width: 48px;
    height: 48px;
    -webkit-mask-image: var(--dxbl-icon-drop-file);
    mask-image: var(--dxbl-icon-drop-file);
}

.drop-file-label[b-asy2iuo4jv] {
    font-weight: 500;
    font-size: 1rem;
}

.custom-drop-zone[b-asy2iuo4jv] {
    padding: 0 !important;
    border-style: dashed;
    border-width: 2px !important;
    height: 230px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: rgba(183, 183, 183, 0.1);
}

    .custom-drop-zone.custom-drop-zone-hover[b-asy2iuo4jv] {
        border-style: solid;
    }

    .custom-drop-zone svg[b-asy2iuo4jv] {
        width: 42px;
        height: 42px;
    }

    .custom-drop-zone > *:not(#overviewDemoSelectButton)[b-asy2iuo4jv] {
        pointer-events: none;
    }

.upload-validation-text[b-asy2iuo4jv] {
    flex-direction: column;
    align-items: flex-end;
    font-size: 12px;
}
